## gxine 0.5.905

=== debian/changelog ===
gxine (0.5.905-4ubuntu2) maverick; urgency=low

  * SECURITY UPDATE: insecure library loading (LP: #650862)
    - debian/gxine-wrapper.sh: use shell expansion to set LD_LIBRARY_PATH
    - CVE-2010-3349

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 29 Sep 2010 02:39:00 -0500

gxine (0.5.905-4ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #608041).  Remaining changes:
    - debian/control:
      + Add Xb-Npp-xxx,Xb-Npp-Description and Xb-Npp-File fields.
      + Switch libmozjs-dev build dependency to xulrunner-dev
      + Add binary depends on xulrunner-1.9.2
    - debian/gxineplugin.links:
      + Add a link to xulrunner-addons/plugins directory.
    - mime.default:
      + Add dvd, vcd, svcd tags.
    - Add debian/gxine-wrapper.sh
    - debian/gxine.install:
      + Don't explicitely install the gxine binary, but install all files in 
        usr/bin (which includes the wrapper)
    - debian/rules:
      + Install wrapper in debian/tmp
      + Move gxine to gxine.real in debian/tmp

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 21 Jul 2010 00:04:05 -0500

gxine (0.5.905-4) unstable; urgency=low

  * The "third time lucky" release.
  * Get the libgudev selection right so that gxine doesn't FTBFS on certain
    architectures.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Fri, 05 Feb 2010 13:26:08 +0000

gxine (0.5.905-3) unstable; urgency=low

  * Switch back to HAL where necessary, what with udev being Linux-specific...

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Fri, 05 Feb 2010 01:16:28 +0000

gxine (0.5.905-2) unstable; urgency=low

  * Switch to udev for device info (in preferences).
  * Reset pointer shape on stream stop/eject.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Wed, 03 Feb 2010 15:30:55 +0000

gxine (0.5.905-1) unstable; urgency=low

  * New upstream release.
  * Use dpkg-vendor (where available).
  * Update to debhelper compat level 5 & standards version 3.8.3.
  * Switch to 3.0 (quilt), but only for the bzip2 support.
  * Add brief copyright information to and fix the licence information in
    the copyright file.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Fri, 01 Jan 2010 02:57:23 +0000

gxine (0.5.904-2ubuntu3.1) lucid-proposed; urgency=low

  * Enable gxine to find and load libmozjs.so by installing wrapper that
    sets LD_LIBRARY_PATH. Fixes LP: #542506

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 24 May 2010 18:32:54 +0200

gxine (0.5.904-2ubuntu3) lucid; urgency=low

  * libmozjs-dev doesn't exist anymore, so use xulrunner-dev as build 
    dependency.

 -- Ilya Barygin <barygin@gmail.com>  Sun, 14 Mar 2010 10:17:03 +0300

gxine (0.5.904-2ubuntu2) lucid; urgency=low

  * change VENDOR macro in debian/rules to ubuntu.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 05 Nov 2009 20:04:38 +0100

gxine (0.5.904-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - debian/control:
      + Add Xb-Npp-xxx,Xb-Npp-Description and Xb-Npp-File fields.
    - debian/gxineplugin.links:
      + Add a link to xulrunner-addons/plugins directory.
    - mime.default:
      + Add dvd, vcd, svcd tags.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 20 May 2009 11:48:40 +0200

gxine (0.5.904-2) unstable; urgency=low

  * Update section info (graphics → video).
  * Install gxine.desktop.in rather than the generated gxine.desktop.
    This fixes problems caused by a split MimeType line. (Closes: #525324)

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Fri, 24 Apr 2009 00:01:18 +0100

gxine (0.5.904-1) unstable; urgency=low

  * New upstream release.
  * Moved the installed menu file template to /usr/share/gxine.
    Remove the generated file when gxine is removed or purged.
    (Closes: #522175)
  * Added some x-content/* types to the menu file template.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Thu, 02 Apr 2009 00:44:07 +0100

gxine (0.5.903-4ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: LP: #313253
    - debian/control: added Xb-Npp-xxx,Xb-Npp-Description and Xb-Npp-File tags.
    - debian/gxineplugin.links: link plugin to xulrunner-addons/plugins 
      directory
    - Add dvd,vcd,svcd tags to mime.default.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Fri, 02 Jan 2009 23:31:13 +0530

gxine (0.5.903-4) unstable; urgency=low

  * Fix implict conversion to pointer (possible segfault). (Closes: #510363)

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Wed, 31 Dec 2008 22:35:23 +0000

gxine (0.5.903-3) unstable; urgency=low

  * If gxine is already running, don't start up another instance if
    ~/.gxine/socket is missing. (Was checking the wrong location.)
    (Closes: #479232)
  * Avoid GTK spamming the console when gxine tries to add text containing
    invalid UTF-8 to the console log window.
  * Spanish translation update.
  * Documentation update regarding screen blanking.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Wed, 31 Dec 2008 14:46:18 +0000

gxine (0.5.903-2ubuntu2) intrepid; urgency=low

  * link plugin to xulrunner-addons/plugins directory
    - update debian/gxineplugin.links
  * add new plugin database header fields: Xb-Npp-Description and Xb-Npp-File
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Mon, 13 Oct 2008 17:25:57 +0200

gxine (0.5.903-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: added Xb-Npp-xxx tags accordingly to "firefox distro
      add-on suport" spec,
      (https://blueprints.launchpad.net/ubuntu/+spec/firefox-distro-addon-support)

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Wed, 08 Oct 2008 17:11:19 +1100

gxine (0.5.903-2) unstable; urgency=low

  * Added a lock to avoid a race which can cause GTK crashes when updating
    the console log window.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Thu, 19 Jun 2008 14:49:35 +0100

gxine (0.5.903-1) unstable; urgency=low

  * New upstream release.


