=== debian/control ===
Source: gxine
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Darren Salt <linux@youmustbejoking.demon.co.uk>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper (>> 5.0.0),
	libxine-dev (<< 1.1.90), libxine1-misc-plugins,
	libgtk2.0-dev (>= 2.8.0),
	xulrunner-dev, liblircclient-dev,
	libdbus-glib-1-dev,
	libgudev-1.0-dev [linux-any], libhal-dev [!linux-any],
	libxcb1-dev | x11-common (<< 1:7.2),
	libx11-dev, libxinerama-dev,
	libxaw7-dev, libxtst-dev
Standards-Version: 3.8.3
XS-DM-Upload-Allowed: yes
Vcs-hg: http://hg.debian.org/hg/xine-lib/pkg/gxine-deb
Vcs-Browser: http://hg.debian.org/hg/xine-lib/pkg/gxine-deb

Package: gxine
Architecture: any
Depends: ${shlibs:Depends}, librsvg2-common, libxine1-x | libxine1 (<< 1.1.8-2), xulrunner-1.9.2
Recommends: libxine1-ffmpeg
Suggests: libgnomevfs2-0, realplayer, libdvdcss2 | libdvdcss, gxineplugin
Xb-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384, 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a
Xb-Npp-Name: gxine launcher
Xb-Npp-Description: start gxine to play video and audio in firefox
Xb-Npp-File: gxineplugin.so
Xb-Npp-MimeType: video/mpeg, video/x-mpeg, audio/mpeg2, audio/x-mpeg2, audio/mpeg3, audio/x-mpeg3, audio/mpeg, audio/x-mpeg, video/quicktime, video/x-quicktime, video/msvideo, video/x-msvideo, application/x-mplayer2, video/x-ms-asf-plugin, audio/x-ogg, audio/x-scpls
Description: the xine video player, GTK+/Gnome user interface
 This is a GTK+ based GUI for the libxine video player library.
 It provides gxine, a  media player that can play all the audio/video formats
 that libxine supports. Currently, this includes MPEG1/2, some AVI and
 Quicktime files, some network streaming methods and disc based media (VCD,
 SVCD, DVD).
 A more complete list can be found on http://xinehq.de/.
 .
 Most DVDs on the market today are play-protected by the Content Scrambling
 System (CSS). libxine does not provide any code to descramble those DVDs,
 because of legal uncertainties. If you still want to play those DVDs, you'll
 need a CSS decryption library like libdvdcss that is supported by libxine.

Package: gxineplugin
Architecture: any
Depends: ${shlibs:Depends}, gxine (>= 0.5.0)
Conflicts: gxine (<< 0.5.0)
Suggests: realplayer, libdvdcss2 | libdvdcss
Description: the xine video player, GTK+/Gnome; launcher plugin for Mozilla
 This is a GTK+ based GUI for the libxine video player library.
 It provides gxine, a  media player that can play all the audio/video formats
 that libxine supports. Currently, this includes MPEG1/2, some AVI and
 Quicktime files, some network streaming methods and disc based media (VCD,
 SVCD, DVD).
 A more complete list can be found on http://xinehq.de/.
 .
 This package contains the Mozilla plugin, which is a launcher for gxine.
