=== debian/watch ===
version=3
opts="uversionmangle=s/\.(gz|bz2)$//" \
http://sf.net/xine gxine-([\d\.]*)\.tar\.(gz|bz2) debian uupdate
