## gxine 0.5.906

=== debian/changelog ===
gxine (0.5.906-3) unstable; urgency=low

  * Switch to xine-lib-1.2. Build dependencies adjusted accordingly.
  * Invoke a trigger on /usr/share/applications after updating gxine.desktop.
  * Patches from upstream:
    - HAL-related build failure fix. Should fix FTBFS on hurd-i386.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Fri, 27 Jan 2012 01:44:52 +0000

gxine (0.5.906-2) unstable; urgency=low

  * Patches from upstream:
    - Fix compilation which xulrunner 9 (the JS bit) broke. (Closes: #654277)
    - Fix a missing-playlist crash.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Mon, 09 Jan 2012 18:23:31 +0000

gxine (0.5.906-1) unstable; urgency=low

  * New upstream release.
    - Buildable against current libmozjs. (Closes: #634417, #631038)

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Thu, 11 Aug 2011 18:49:51 +0100

gxine (0.5.905-5) unstable; urgency=low

  * Add dependency on libxine1-gnome, working around a xine-lib problem by
    using gtkpixbuf for the static logo display. (Closes: #597289)
  * Fix a missing "break" statement which caused SPU buttons (typically
    found in DVD navigation menus) to cause spurious playlist items.
    (Closes: #590016)

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Thu, 04 Nov 2010 12:03:31 +0000
