## gxine 0.5.907

=== debian/changelog ===
gxine (0.5.907-2+deb7u1) wheezy; urgency=low

  * d/control: Switch to libmozjs185-dev as the package fails to build with
    newer versions of libmozjs-dev. (Reference: #665555)

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 17 Aug 2013 10:00:48 +0200

gxine (0.5.907-2) unstable; urgency=low

  * Switched source maintenance to mercurial-buildpackage.
  * Change of address.
  * Bump standards version to 3.9.3.

 -- Darren Salt <devspam@moreofthesa.me.uk>  Fri, 08 Jun 2012 17:56:04 +0100

gxine (0.5.907-1) unstable; urgency=low

  * New upstream release.
    - Fixes FTBFS with Iceweasel 10's mozjs. (Closes: #660661)
  * Recommend libxine2-ffmpeg, not libxine1-ffmpeg.
  * Bumped standards version to 3.9.2.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Tue, 21 Feb 2012 20:44:48 +0000
