=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: gxine
 Section: video
 Priority: optional
-Maintainer: Darren Salt <linux@youmustbejoking.demon.co.uk>
+Maintainer: Darren Salt <devspam@moreofthesa.me.uk>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper (>> 5.0.0),
 	libxine2-dev, libxine2-misc-plugins,
 	libgtk2.0-dev (>= 2.8.0),
-	libmozjs-dev, liblircclient-dev,
+	libmozjs185-dev, liblircclient-dev,
 	libdbus-glib-1-dev,
 	libgudev-1.0-dev [linux-any], libhal-dev [!linux-any],
 	libxcb1-dev | x11-common (<< 1:7.2),
 	libx11-dev, libxinerama-dev,
 	libxaw7-dev, libxtst-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.9.3
 XS-DM-Upload-Allowed: yes
-Vcs-hg: http://hg.debian.org/hg/xine-lib/pkg/gxine-deb
-Vcs-Browser: http://hg.debian.org/hg/xine-lib/pkg/gxine-deb
+Vcs-hg: http://hg.debian.org/hg/xine-lib/pkg/gxine.deb
+Vcs-Browser: http://hg.debian.org/hg/xine-lib/pkg/gxine.deb
 
 Package: gxine
 Architecture: any
 Depends: ${shlibs:Depends}, librsvg2-common, ${xine-x:Depends}, ${xine-gnome:Depends}
-Recommends: libxine1-ffmpeg
+Recommends: ${xine-ffmpeg:Depends}
 Suggests: libgnomevfs2-0, realplayer, libdvdcss2 | libdvdcss, gxineplugin
 Description: the xine video player, GTK+/Gnome user interface
  This is a GTK+ based GUI for the libxine video player library.
