=== debian/rules ===
--- 
+++ 
@@ -108,9 +108,6 @@
 	dh_clean -k
 	dh_installdirs
 	$(MAKE) $(INSTALL_TARGET) DESTDIR="$(CURDIR)/debian/tmp"
-	# now replace gxine binary with our wrapper
-	mv "$(CURDIR)/debian/tmp/usr/bin/gxine" "$(CURDIR)/debian/tmp/usr/bin/gxine.real"
-	install -m 755 debian/gxine-wrapper.sh "$(CURDIR)/debian/tmp/usr/bin/gxine"
 
 debian/gxine.postinst: debian/gxine.postinst.in debian/rules
 	sed -e s^@XINE_LIST@^`pkg-config --variable=xine_list libxine`^g <$< >$@
@@ -137,6 +134,7 @@
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
+	dh_xine -pgxine x gnome ffmpeg
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
