## gxine 0.5.908

=== debian/changelog ===
gxine (0.5.908-3.1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control: Add Xb-Npp-xxx, Xb-Npp-Description and Xb-Npp-File
      fields.
    - src/script_engine.c: fix a remaining memory leak issue associated with
      using JS_EncodeString(), which somehow didn't get fixed upstream
    - debian/gxineplugin.links: Add a link to xulrunner-addons/plugins
      directory.
    - mime.default: Add dvd, vcd, svcd tags.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 16 Jan 2015 17:27:46 -0700

gxine (0.5.908-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Trigger cycle causes dpkg to fail processing":
    switch trigger from "interest" to "interest-noawait",
    thanks Guillem Jover
    (Closes: #772868)

 -- gregor herrmann <gregoa@debian.org>  Sun, 28 Dec 2014 16:19:25 +0100

gxine (0.5.908-3ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control: Add Xb-Npp-xxx, Xb-Npp-Description and Xb-Npp-File
      fields.
    - src/script_engine.c: fix a remaining memory leak issue associated with
      using JS_EncodeString(), which somehow didn't get fixed upstream
    - debian/gxineplugin.links: Add a link to xulrunner-addons/plugins
      directory.
    - mime.default: Add dvd, vcd, svcd tags.
  * Dropped changes, included in Debian:
    - debian/rules, debian/control: use dh-autoreconf at build time.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 16 Nov 2014 22:46:40 -0600

gxine (0.5.908-3) unstable; urgency=low

  * Run dh-autoreconf at build time. (Closes: #756513)
  * Initialise X threading regardless of XCB. (Fixes some video out methods.)

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Wed, 27 Aug 2014 18:21:23 +0100

gxine (0.5.908-2ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/rules, debian/control: use dh-autoreconf at build time.
    - debian/control: Add Xb-Npp-xxx, Xb-Npp-Description and Xb-Npp-File
      fields.
    - src/script_engine.c: fix a remaining memory leak issue associated with
      using JS_EncodeString(), which somehow didn't get fixed upstream
    - debian/gxineplugin.links: Add a link to xulrunner-addons/plugins
      directory.
    - mime.default: Add dvd, vcd, svcd tags.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 May 2014 11:58:47 +0200

gxine (0.5.908-2) unstable; urgency=low

  * Remove --with-hal, fixing FTBFS on non-Linux. (Really closes: #710194)

 -- Darren Salt <devspam@moreofthesa.me.uk>  Sat, 10 May 2014 16:47:05 +0100

gxine (0.5.908-1) unstable; urgency=low

  * New upstream release.
    - All patches are present upstream.
  * Don't depend on HAL. (Closes: #710194)
  * Remove obsolete DM upload header.
  * Bump standards version to 3.9.5. No changes.

 -- Darren Salt <devspam@moreofthesa.me.uk>  Sat, 10 May 2014 01:03:32 +0100

gxine (0.5.907-3ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/rules, debian/control: use dh-autoreconf at build time.
    - debian/control: Add Xb-Npp-xxx, Xb-Npp-Description and Xb-Npp-File
      fields.
    - src/script_engine.c: fix a remaining memory leak issue associated with
      using JS_EncodeString(), which somehow didn't get fixed upstream
    - debian/gxineplugin.links: Add a link to xulrunner-addons/plugins
      directory.
    - mime.default: Add dvd, vcd, svcd tags.
  * Dropped changes, no longer needed:
    - debian/gxine.install: no need to diverge from Debian since we no longer
      ship a wrapper
  * All other changes dropped, as they have been included upstream or in
    Debian.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 07 May 2014 21:34:55 +0000

gxine (0.5.907-3) unstable; urgency=low

  * Ack NMU. (Closes: #665555)
  * Add debian/README.source, noting that single-patch format is chosen (and
    enforced in the package repository).
  * Add input support for xineliboutput (from upstream).

 -- Darren Salt <devspam@moreofthesa.me.uk>  Sat, 24 Aug 2013 22:16:45 +0100

gxine (0.5.907-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches:
    - glib.patch: Fix building with newer glib. Thanks to Micheal Biebl for
      the patch. (Closes: #665555)
    - underlinkage.patch: Link with -ldl and -lm to fix unresolved symbols.
  * debian/control: Replace libmozjs-dev with libmozjs185-dev since gxine
    doesn't build with libmozjs-dev from iceweasel 17.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 07 Aug 2013 15:09:34 +0200

gxine (0.5.905-4ubuntu8) raring; urgency=low

  * d/p/underlinking: fix underlinking. Fixes FTBFS.

 -- Robie Basak <robie.basak@canonical.com>  Tue, 09 Apr 2013 10:20:02 +0000

gxine (0.5.905-4ubuntu7) quantal; urgency=low

  * Only include <glib.h> instead of individual header files (fixes FTBFS).
  * debian/rules: Merge the "autoreconf" target into the "configure-stamp"
    target so dh_autoreconf isn't called twice.

 -- Michael Bienia <geser@ubuntu.com>  Sun, 30 Sep 2012 12:12:41 +0200

gxine (0.5.905-4ubuntu6) oneiric; urgency=low

  * Add support for building with the proper Spidermonkey lib, and switch to
    that now, as we're dropping xulrunner from the archive. This means
    that gxine-wrapper.sh goes away now
    - update m4/_js.m4
    - update debian/rules
    - update debian/control
    - remove debian/gxine-wrapper.sh
  * Fix some memory leak issues associated with using JS_EncodeString()
    - update src/script_engine.c
    - update src/playlist.c
    - update src/engine.c
  * General tidying up of Spidermonkey 1.8.5 port, ready to send upstream
    - update src/script_engine.c
    - update src/player.c
    - update src/key_events.c
    - update src/script_engine.h
    - update src/playlist.c
    - update src/vis.c

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 14 Jun 2011 22:39:17 +0100

gxine (0.5.905-4ubuntu5) oneiric; urgency=low


