=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: gxine
 Section: video
 Priority: optional
-Maintainer: Darren Salt <devspam@moreofthesa.me.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Darren Salt <devspam@moreofthesa.me.uk>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
-Build-Depends: debhelper (>> 5.0.0),
+Build-Depends: debhelper (>> 5.0.0), dh-autoreconf,
 	libxine2-dev, libxine2-misc-plugins,
 	libgtk2.0-dev (>= 2.8.0),
 	libmozjs185-dev, liblircclient-dev,
 	libdbus-glib-1-dev,
-	libgudev-1.0-dev [linux-any], libhal-dev [!linux-any],
+	libgudev-1.0-dev [linux-any],
 	libxcb1-dev | x11-common (<< 1:7.2),
 	libx11-dev, libxinerama-dev,
 	libxaw7-dev, libxtst-dev
-Standards-Version: 3.9.3
-XS-DM-Upload-Allowed: yes
+Standards-Version: 3.9.5
 Vcs-hg: http://hg.debian.org/hg/xine-lib/pkg/gxine.deb
 Vcs-Browser: http://hg.debian.org/hg/xine-lib/pkg/gxine.deb
 
@@ -22,6 +22,11 @@
 Depends: ${shlibs:Depends}, librsvg2-common, ${xine-x:Depends}, ${xine-gnome:Depends}
 Recommends: ${xine-ffmpeg:Depends}
 Suggests: libgnomevfs2-0, realplayer, libdvdcss2 | libdvdcss, gxineplugin
+Xb-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384, 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a
+Xb-Npp-Name: gxine launcher
+Xb-Npp-Description: start gxine to play video and audio in firefox
+Xb-Npp-File: gxineplugin.so
+Xb-Npp-MimeType: video/mpeg, video/x-mpeg, audio/mpeg2, audio/x-mpeg2, audio/mpeg3, audio/x-mpeg3, audio/mpeg, audio/x-mpeg, video/quicktime, video/x-quicktime, video/msvideo, video/x-msvideo, application/x-mplayer2, video/x-ms-asf-plugin, audio/x-ogg, audio/x-scpls
 Description: the xine video player, GTK+/Gnome user interface
  This is a GTK+ based GUI for the libxine video player library.
  It provides gxine, a  media player that can play all the audio/video formats
