=== debian/rules ===
--- 
+++ 
@@ -38,8 +38,6 @@
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 WITH_HWINFO = --with-gudev
-else
-WITH_HWINFO = --with-hal
 endif
 
 # Debugging & logging selection via the DEB_BUILD_OPTIONS env var.
@@ -72,6 +70,7 @@
 configure: patch configure-stamp
 configure-stamp:
 	dh_testdir
+	dh_autoreconf
 	./configure $(confflags) \
 		    --prefix=/usr --mandir=/usr/share/man --sysconfdir=/etc \
 		    --disable-integration-wizard --enable-watchdog \
@@ -94,6 +93,7 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp config.log debian/gxine.postinst
 	[ ! -f Makefile ] || $(MAKE) distclean
+	dh_autoreconf_clean
 	dh_clean
 
 # never called automatically, only run by request of maintainer!
