## gxine 0.5.910

=== debian/changelog ===
gxine (0.5.910-1) unstable; urgency=medium

  * QA upload
  * New upstream release
  * Orphaning package. See bug 881509.
  * Convert Vcs from hg to git and move to salsa.debian.org
  * Update Homepage and debian/watch
  * Convert to simple dh rules
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3
  * Add patch from Ubuntu to fix memory leak

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 31 Dec 2017 18:01:48 -0500
