=== debian/control ===
Source: gxine
Section: video
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 11),
	libxine2-dev, libxine2-misc-plugins,
	libgtk2.0-dev (>= 2.8.0),
	libmozjs185-dev, liblircclient-dev,
	libdbus-glib-1-dev,
	libgudev-1.0-dev [linux-any],
	libxcb1-dev | x11-common (<< 1:7.2),
	libx11-dev, libxinerama-dev,
	libxaw7-dev, libxtst-dev
Standards-Version: 4.1.3
Homepage: https://www.xine-project.org/
Vcs-Git: https://salsa.debian.org/debian/gxine.git
Vcs-Browser: https://salsa.debian.org/debian/gxine

Package: gxine
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librsvg2-common, ${xine-x:Depends}, ${xine-gnome:Depends}
Recommends: ${xine-ffmpeg:Depends}
Suggests: gxineplugin, libdvd-pkg
Description: the xine video player, GTK+/Gnome user interface
 This is a GTK+ based GUI for the libxine video player library.
 It provides gxine, a  media player that can play all the audio/video formats
 that libxine supports. Currently, this includes MPEG1/2, some AVI and
 Quicktime files, some network streaming methods and disc based media (VCD,
 SVCD, DVD).
 A more complete list can be found on http://xinehq.de/.
 .
 Most DVDs on the market today are play-protected by the Content Scrambling
 System (CSS). libxine does not provide any code to descramble those DVDs,
 because of legal uncertainties. If you still want to play those DVDs, you'll
 need a CSS decryption library like libdvdcss that is supported by libxine.

Package: gxineplugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, gxine (>= 0.5.0)
Conflicts: gxine (<< 0.5.0)
Description: the xine video player, GTK+/Gnome; launcher plugin for Mozilla
 This is a GTK+ based GUI for the libxine video player library.
 It provides gxine, a  media player that can play all the audio/video formats
 that libxine supports. Currently, this includes MPEG1/2, some AVI and
 Quicktime files, some network streaming methods and disc based media (VCD,
 SVCD, DVD).
 A more complete list can be found on http://xinehq.de/.
 .
 This package contains the Mozilla plugin, which is a launcher for gxine.
