=== debian/watch ===
version=4
opts="uversionmangle=s/\.(xz|bz2|gz)$//" \
https://sf.net/xine/gxine-([\d\.]*)\.tar\.(xz|bz2|gz)
